CoCoA-5 - Design #1615

apply: remove for RingHom
04 Oct 2021 11:16 - John Abbott

Status: Rejected Start date: 04 Oct 2021

Priority: Normal Due date:

Assignee: John Abbott % Done: 100%

Category: enhancing/improving Estimated time: 0.22 hour

Target version: CoCoA-5.4.0 Spent time: 0.20 hour

Description

As done for CoCoALib, permit RINGHOMs to be applied directly to LIST and MAT.

Then eliminate apply (or make it obsolete).

Related issues:

Related to CoCoALib - Design #1467: Change syntax apply(phi,M) into phi(M)? Closed 22 Jun 2020

History

#1 - 04 Oct 2021 11:16 - John Abbott

- Related to Feature #1598: RingHom: implement phi(X) as apply(phi, X) also for X vector and matrix added

#2 - 04 Oct 2021 11:57 - John Abbott
- Status changed from New to Rejected
- Assignee set to John Abbott

- % Done changed from 0 to 100

- Estimated time set to 0.22 h

THIS IS REALLT A DUPLICATE OF #1598. SO REJECTING!

#3 - 18 Feb 2022 15:04 - Anna Maria Bigatti
- Related to Design #1467: Change syntax apply(phi,M) into phi(M)? added

#4 - 18 Feb 2022 15:05 - Anna Maria Bigatti

- Related to deleted (Feature #1598: RingHom: implement phi(X) as apply(phi, X) also for X vector and matrix)

30 Apr 2024

1/1



https://cocoa.dima.unige.it/redmine/issues/1598
http://www.tcpdf.org

